const functions = require("firebase-functions");

const admin = require("firebase-admin");
admin.initializeApp();

exports.notifyNewMessage = functions.firestore
  .document("Chats/{chat}/Messages/{message}")
  .onCreate((docSnapshot, context) => {
    const message = docSnapshot.data();
    const recieverId = message.recieverId;
    const authorId = message.authorId;

    return admin
      .firestore()
      .doc("Profiles/" + authorId)
      .get()
      .then((authorDoc) => {
        const authorName = authorDoc.get("displayName");

        return admin
          .firestore()
          .doc("Profiles/" + recieverId)
          .get()
          .then((userDoc) => {
            const registrationToken = userDoc.get("registrationToken");
            const notificationBody = message.messageText;
            const payload = {
              notification: {
                title: "New message from " + authorName,
                body: notificationBody,
                clickAction: "MessagingActivity",
              },
              data: {
                userid: authorId,
              },
            };

            return admin.messaging().sendToDevice(registrationToken, payload);
          });
      });
  });
